"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _portal = require("@gorhom/portal");
var _framerMotion = require("framer-motion");
var _reactNative = require("react-native");
var _hooks = require("./hooks");
var _components = require("./components");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const Tooltip = props => {
  const {
    children,
    isVisible,
    renderContent,
    childrenStyle,
    ...restProps
  } = props;
  const {
    onLayout,
    ...layout
  } = (0, _hooks.useLayout)();
  return /*#__PURE__*/_react.default.createElement(_react.Fragment, null, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: childrenStyle,
    onLayout: onLayout
  }, /*#__PURE__*/(0, _react.cloneElement)(children)), /*#__PURE__*/_react.default.createElement(_portal.Portal, null, /*#__PURE__*/_react.default.createElement(_framerMotion.AnimatePresence, null, isVisible && /*#__PURE__*/_react.default.createElement(_react.Fragment, null, /*#__PURE__*/_react.default.createElement(_components.Wrapper, _extends({}, restProps, {
    childrenLayout: layout
  }), renderContent()), (restProps === null || restProps === void 0 ? void 0 : restProps.withOverlay) && /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.absolute, childrenStyle, {
      top: layout.y,
      left: layout.x
    }]
  }, /*#__PURE__*/(0, _react.cloneElement)(children))))));
};
var _default = Tooltip;
exports.default = _default;
const styles = _reactNative.StyleSheet.create({
  absolute: {
    position: 'absolute'
  }
});
//# sourceMappingURL=Tooltip.js.map