"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _reactNativeReanimated = _interopRequireWildcard(require("react-native-reanimated"));
var _hooks = require("../../hooks");
var _utils = require("../../utils");
var _Pointer = _interopRequireDefault(require("../Pointer"));
var _styles = _interopRequireDefault(require("./styles"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const TooltipWrapperComponent = props => {
  const {
    children,
    position = 'bottom',
    animatedPresence,
    ...pointerProps
  } = props;
  const {
    onLayout,
    ...layout
  } = (0, _hooks.useLayout)();
  const stylez = (0, _reactNativeReanimated.useAnimatedStyle)(() => ({
    opacity: animatedPresence === null || animatedPresence === void 0 ? void 0 : animatedPresence.value
  }), [animatedPresence]);
  const positionStyles = (0, _react.useMemo)(() => {
    const {
      offset,
      childrenLayout,
      pointerStyle: pointerStyles
    } = props;
    return (0, _utils.getPositionStyles)({
      offset,
      childrenLayout,
      pointerStyle: pointerStyles,
      position,
      layout
    });
  }, [layout, position, props]);
  const pointerStyles = (0, _react.useMemo)(() => {
    return _reactNative.StyleSheet.flatten([_styles.default.pointer, (0, _utils.getPointerWrapperStyle)({
      position,
      ...pointerProps
    }, layout)]);
  }, [position, pointerProps, layout]);
  return /*#__PURE__*/_react.default.createElement(_reactNativeReanimated.default.View, {
    onLayout: onLayout,
    style: [_styles.default.tooltipWrapper, positionStyles, stylez]
  }, children, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: pointerStyles
  }, /*#__PURE__*/_react.default.createElement(_Pointer.default, _extends({}, pointerProps, {
    position: position
  }))));
};
const TooltipWrapper = /*#__PURE__*/_react.default.memo(TooltipWrapperComponent);
var _default = TooltipWrapper;
exports.default = _default;
//# sourceMappingURL=TooltipWrapper.js.map