"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = useAnimatedPresence;
var _framerMotion = require("framer-motion");
var _reactNativeReanimated = require("react-native-reanimated");
function useAnimatedPresence() {
  let timingConfig = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {
    duration: 300
  };
  const [isPresent, safeToRemove] = (0, _framerMotion.usePresence)();
  const animatedIsPresent = (0, _reactNativeReanimated.useDerivedValue)(() => {
    if (isPresent) {
      return (0, _reactNativeReanimated.withSequence)((0, _reactNativeReanimated.withTiming)(0, {
        duration: 0
      }), (0, _reactNativeReanimated.withTiming)(1, timingConfig));
    } else {
      return (0, _reactNativeReanimated.withTiming)(0, timingConfig, () => {
        if (safeToRemove) {
          (0, _reactNativeReanimated.runOnJS)(safeToRemove)();
        }
      });
    }
  }, [isPresent]);
  return animatedIsPresent;
}
//# sourceMappingURL=useAnimatedPresence.js.map