function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React, { cloneElement, Fragment } from 'react';
import { Portal } from '@gorhom/portal';
import { AnimatePresence } from 'framer-motion';
import { StyleSheet, View } from 'react-native';
import { useLayout } from './hooks';
import { Wrapper } from './components';
const Tooltip = props => {
  const {
    children,
    isVisible,
    renderContent,
    childrenStyle,
    ...restProps
  } = props;
  const {
    onLayout,
    ...layout
  } = useLayout();
  return /*#__PURE__*/React.createElement(Fragment, null, /*#__PURE__*/React.createElement(View, {
    style: childrenStyle,
    onLayout: onLayout
  }, /*#__PURE__*/cloneElement(children)), /*#__PURE__*/React.createElement(Portal, null, /*#__PURE__*/React.createElement(AnimatePresence, null, isVisible && /*#__PURE__*/React.createElement(Fragment, null, /*#__PURE__*/React.createElement(Wrapper, _extends({}, restProps, {
    childrenLayout: layout
  }), renderContent()), (restProps === null || restProps === void 0 ? void 0 : restProps.withOverlay) && /*#__PURE__*/React.createElement(View, {
    style: [styles.absolute, childrenStyle, {
      top: layout.y,
      left: layout.x
    }]
  }, /*#__PURE__*/cloneElement(children))))));
};
export default Tooltip;
const styles = StyleSheet.create({
  absolute: {
    position: 'absolute'
  }
});
//# sourceMappingURL=Tooltip.js.map