import React from 'react';
import Animated, { useAnimatedStyle } from 'react-native-reanimated';
import { StyleSheet, TouchableWithoutFeedback } from 'react-native';
const Overlay = _ref => {
  let {
    children,
    animatedPresence,
    onDismiss,
    overlayStyle
  } = _ref;
  const stylez = useAnimatedStyle(() => ({
    opacity: animatedPresence === null || animatedPresence === void 0 ? void 0 : animatedPresence.value
  }), [animatedPresence]);
  return /*#__PURE__*/React.createElement(TouchableWithoutFeedback, {
    onPress: onDismiss
  }, /*#__PURE__*/React.createElement(Animated.View, {
    style: [styles.overlay, overlayStyle, stylez]
  }, children));
};
export default Overlay;
const styles = StyleSheet.create({
  overlay: {
    ...StyleSheet.absoluteFillObject,
    backgroundColor: 'rgba(0, 0, 0, 0.5)'
  }
});
//# sourceMappingURL=Overlay.js.map