function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React, { useMemo } from 'react';
import { StyleSheet, View } from 'react-native';
import Animated, { useAnimatedStyle } from 'react-native-reanimated';
import { useLayout } from '../../hooks';
import { getPointerWrapperStyle, getPositionStyles } from '../../utils';
import Pointer from '../Pointer';
import styles from './styles';
const TooltipWrapperComponent = props => {
  const {
    children,
    position = 'bottom',
    animatedPresence,
    ...pointerProps
  } = props;
  const {
    onLayout,
    ...layout
  } = useLayout();
  const stylez = useAnimatedStyle(() => ({
    opacity: animatedPresence === null || animatedPresence === void 0 ? void 0 : animatedPresence.value
  }), [animatedPresence]);
  const positionStyles = useMemo(() => {
    const {
      offset,
      childrenLayout,
      pointerStyle: pointerStyles
    } = props;
    return getPositionStyles({
      offset,
      childrenLayout,
      pointerStyle: pointerStyles,
      position,
      layout
    });
  }, [layout, position, props]);
  const pointerStyles = useMemo(() => {
    return StyleSheet.flatten([styles.pointer, getPointerWrapperStyle({
      position,
      ...pointerProps
    }, layout)]);
  }, [position, pointerProps, layout]);
  return /*#__PURE__*/React.createElement(Animated.View, {
    onLayout: onLayout,
    style: [styles.tooltipWrapper, positionStyles, stylez]
  }, children, /*#__PURE__*/React.createElement(View, {
    style: pointerStyles
  }, /*#__PURE__*/React.createElement(Pointer, _extends({}, pointerProps, {
    position: position
  }))));
};
const TooltipWrapper = /*#__PURE__*/React.memo(TooltipWrapperComponent);
export default TooltipWrapper;
//# sourceMappingURL=TooltipWrapper.js.map