function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import { useAnimatedPresence } from '../../hooks';
import Overlay from '../Overlay';
import TooltipWrapper from '../TooltipWrapper';
const WrapperComponent = props => {
  const {
    withOverlay,
    onDismiss,
    children,
    overlayStyle,
    ...tooltipWrapperProps
  } = props;
  const animatedPresence = useAnimatedPresence();
  const renderTooltipWrapper = () => /*#__PURE__*/React.createElement(TooltipWrapper, _extends({}, tooltipWrapperProps, {
    animatedPresence: animatedPresence
  }), children);
  if (withOverlay) {
    return /*#__PURE__*/React.createElement(Overlay, {
      overlayStyle: overlayStyle,
      animatedPresence: animatedPresence,
      onDismiss: onDismiss
    }, renderTooltipWrapper());
  }
  return renderTooltipWrapper();
};
const Wrapper = /*#__PURE__*/React.memo(WrapperComponent);
export default Wrapper;
//# sourceMappingURL=Wrapper.js.map