export function isVerticalPosition(position) {
  return position === 'top' || position === 'bottom';
}
export function isValidNumber(value) {
  return typeof value === 'number' && !Number.isNaN(value);
}
export function getSafeStyle(style) {
  const {
    width,
    height
  } = style ?? {};
  const safeWidth = isValidNumber(width) && width || 0;
  const safeHeight = isValidNumber(height) && height || 0;
  return {
    width: safeWidth,
    height: safeHeight
  };
}
//# sourceMappingURL=validation.js.map